<?php
/**
 * Theme options and features functions for theme Griddy
 * since version 0.5
 */
$griddy_theme_options = array(
  'griddy_site_width'   => '64',
  'griddy_credits'      => '',
  'griddy_credits_text' => '',
  'griddy_new_text'     => '',
  'top_backgrnd'        => '',
  'top_txtcolor'        => '',
  'phonenumber'         => '',
  'facebook_url'        => '',
  'twitter_url'         => '',
  'griddy_email'        => ''
  );

    add_action( 'admin_menu', 'griddy_options_add_page' ); 
function griddy_options_add_page() {
    add_theme_page( 'griddy Options', 'Theme Options', 'edit_theme_options', 'griddy-options', 'griddy_options_page' );
}

// connect stylesheet to options page
function griddy_add_init() {
    wp_enqueue_style( 'griddy-admin-style', get_template_directory_uri() . '/include/admin-style.css', false, '1.1' );
    }
    add_action( 'admin_enqueue_scripts', 'griddy_add_init' );

function griddy_register_settings() {
        register_setting( 'griddy-options', 'griddy_theme_options', '');
    } 
    add_action( 'admin_init', 'griddy_register_settings' );
    /*
     * color picker add on
     */

add_action( 'admin_enqueue_scripts', 'griddy_add_color_picker' );
function griddy_add_color_picker() {
    // Add the color picker css file       
    wp_enqueue_style( 'wp-color-picker' ); 
    // Include our custom jQuery file with WordPress Color Picker dependency
    wp_enqueue_script( 'wp-color-picker-script', get_template_directory_uri() . '/js/custom-script.js', array( 'wp-color-picker' ), false, true );
}

function griddy_options_page() {
   global $griddy_theme_options;
	
?>
<div class="options-container">
    <figure> <h1><?php _e( ' Options Page ', 'griddy' ); ?></h1>  </figure>
    <h2><?php _e( 'Griddy Theme Settings', 'griddy' ); ?></h2>
    <form action="options.php" method="POST">
    <?php settings_fields( 'griddy-options' ); ?>
    <?php 
    //do_settings_sections( 'griddy-options' ); 
    $options = get_option( 'griddy_theme_options', $griddy_theme_options );
    ?>
    <hr> 
        <table class="options-table">
        <tr><td><h3><?php _e( 'Set Width of Website Here', 'griddy' ); ?></h3></td></tr>
        <tr><td><p><select name="griddy_theme_options[griddy_site_width]" class="griddy-dropdown">
<option value="58.75" <?php selected( $options['griddy_site_width'], 58.75 ); ?>>940px <?php _e( 'Small Screen', 'griddy' ); ?></option>  
<option value="64" <?php selected( $options['griddy_site_width'], 64 ); ?>>1024px <?php _e( 'Medium Screen', 'griddy' ); ?></option>  
<option value="80" <?php selected( $options['griddy_site_width'], 80 ); ?>>1280px <?php _e( 'Large Screen', 'griddy' ); ?></option>  
<option value="85.5" <?php selected( $options['griddy_site_width'], 85.5 ); ?>>1368px <?php _e( 'Wide Screen', 'griddy' ); ?></option>  
<option value="120" <?php selected( $options['griddy_site_width'], 120 ); ?>>1920px <?php _e( 'Wide Desktop', 'griddy' ); ?></option>  
        </select></p></td></tr>
        </table>
<p><img src="<?php echo get_template_directory_uri(); ?>/images/info_black.png" height="24"/><?php _e( ' Width shows in pixel width here but will be calculated by your browsers scalable unit', 'griddy' ); ?></p>
        <hr>
              
                <table class="options-table">
                <tr><td><h3><?php _e( 'Add Top Banner Text Here', 'griddy' ); ?></h3><label><?php _e( 'Top bar next to title.', 'griddy' ); ?></label><br /></td></tr>         
                <tr><td><input id="griddy_new_text" size=100 name="griddy_theme_options[griddy_new_text]" value='<?php if(!empty ($options['griddy_new_text'])) echo  esc_attr( $options['griddy_new_text'] ); ?>'/></td></tr>
                </table>
                <p><img src="<?php echo get_template_directory_uri(); ?>/images/info_black.png" height="24"/><?php _e( 'You can add HTML4 tags such as ', 'griddy' ); ?><code>&lt;h1&gt; &lt;h2&gt; &lt;h3&gt; &lt;p&gt; &lt;b&gt;</code><?php _e( ' and', 'griddy' ); ?> <<code>img src=&#34;<?php _e( 'paste-media-library-url&#34;', 'griddy' ); ?></code>/></p>
            <hr>
                
                <table class="options-table">
                <tr><td><h3><?php _e( 'Top Promo Box Background Set Here', 'griddy' ); ?></h3><label id="griddy-color-field"><?php _e( 'Change top left-half and site description background color', 'griddy' ); ?> </label> 
<input type="text" name="griddy_theme_options[top_backgrnd]" value="<?php echo esc_attr( $options['top_backgrnd'] ); ?>" class="griddy-color-field" /></td></tr>
                </table>
                
                <table class="options-table">
                <tr><td><h3><?php _e( 'Promo Text Color Set Here', 'griddy' ); ?></h3><label id="griddy-color-field"><?php _e( 'Change top left-half and site description text colors', 'griddy' ); ?></label> 
<input type="text" name="griddy_theme_options[top_txtcolor]" value="<?php echo esc_attr( $options['top_txtcolor'] ); ?>" class="griddy-color-field" /></td></tr>
                </table>
                <p><img src="<?php echo get_template_directory_uri(); ?>/images/info_black.png" height="24"/><?php _e( 'Selected text color should be in contrast to the background color you select.', 'griddy' ); ?></p>
            <hr>
                
                <table class="options-table">
                <tr><td colspan=2><h3><?php _e( 'Add your Phone and eMail plus social media links here', 'griddy' ); ?></h3></td></tr>

                <tr><td><label><?php _e( 'Phone Number', 'griddy' ); ?></label> </td><td><input type="text" name="griddy_theme_options[phonenumber]" size="40" 
                value="<?php if( isset($options['phonenumber'])) echo $options['phonenumber']; ?>" /></td></tr>

                <tr><td><label><?php _e( 'Facebook', 'griddy' ); ?></label> </td><td><input type="text" name="griddy_theme_options[facebook_url]" size="40" 
                value="<?php if( isset($options['facebook_url'])) echo $options['facebook_url']; ?>" /></td</tr>

                <tr><td><label><?php _e( 'Twitter', 'griddy' ); ?></label> </td><td><input type="text" name="griddy_theme_options[twitter_url]" size="40" 
                value="<?php if( isset($options['twitter_url'])) echo $options['twitter_url']; ?>" /></td</tr>

                <tr><td><label><?php _e( 'E-Mail', 'griddy' ); ?></label> </td><td><input type="text" name="griddy_theme_options[griddy_email]" size="40" 
                value="<?php if( isset($options['griddy_email'])) echo $options['griddy_email']; ?>" /></td</tr> 

                </table>
                <p><img src="<?php echo get_template_directory_uri(); ?>/images/info_black.png" height="24"/><?php _e( 'Appears in the footer. Type only id for Twitter and url without the <code>https:&#47;&#47;</code> for facebook.', 'griddy' ); ?></p>
            <hr>
                                   <h3><?php _e( 'Check box to remove credits from theme footer section.', 'tari' ); ?></h3>
                                        <?php  if ( !empty( $options['griddy_credits'] )) {
                                        $checked = $options['griddy_credits'];
                                        $current = "checked = checked"; } else { $current = ""; }
                                        ?>
                <table><tr><td><input name="griddy_theme_options[griddy_credits]" id="griddy_credits_text" type="checkbox" 
                value="1" <?php echo $current; ?> />
                <small><?php _e( 'You do not have to leave footer credits but it would be nice.', 'griddy' ); ?></small></td></tr>
                <tr><td><p><img src="<?php echo get_template_directory_uri(); ?>/images/info_black.png" height="24"/><?php _e( 'Replace the footer credit with your own text here', 'griddy' ); ?></p>
                <input id="griddy_credits_text" name="griddy_theme_options[griddy_credits_text]" size="40" type="text" 
value="<?php if (!empty($options['griddy_credits_text'])) echo $options['griddy_credits_text']; ?>" /></td></tr>
                </table>
                <?php submit_button(); ?>
                </form>
<h4>For custom configuration of this theme email Larry at <a href="mailto:themes@tradesouthwest.com">themes@tradesouthwest.com</a></h4>
</div>
<?php 
}

function griddy_validate_options( $input ) {    
        // We strip all tags from the text field, to avoid vulnerablilties like XSS
        $input['griddy_new_text']     = wp_filter_post_kses( $input['griddy_new_text'] );
        $input['griddy_credits_text'] = wp_filter_post_kses( $input['griddy_credits_text'] );
        $input['top_backgrnd']      = wp_filter_post_kses( $input['top_backgrnd'] );
        $input['top_txtcolor']      = wp_filter_post_kses( $input['top_txtcolor'] );
        $input['phonenumber']       = wp_filter_post_kses( $input['phonenumber'] );
        $input['facebook_url']      = wp_filter_post_kses( $input['facebook_url'] );
        $input['twitter_url']       = wp_filter_post_kses( $input['twitter_url'] );
        $input['griddy_email']      = wp_filter_post_kses( $input['griddy_email'] );
        $input['griddy_site_width'] = wp_filter_post_kses( $input['griddy_site_width'] );
           return $input;
    }

function griddy_styles_method() {
   $griddy_theme_options = array( 'top_backgrnd' => '', 'top_txtcolor' );
        global $griddy_theme_options;     
            $options = get_option( 'griddy_theme_options', $griddy_theme_options );
    wp_enqueue_style(
    'custom-style',
    get_template_directory_uri() . '/include/custom.css'
    ); 
    // set width of home page
            $custom_css = "
                .site {
                    width: {$options['griddy_site_width']}em;
        }";
    wp_add_inline_style( 'custom-style', $custom_css );
    // insert background color various selectors
            $custom_css = "
                .top-promo, .top-description {
                    background: {$options['top_backgrnd']};
        }";
    wp_add_inline_style( 'custom-style', $custom_css );
    // text color enqueue
                $custom_css = "
                .site-desciption, .top-description, .text-add .textwidget, .top-promo, .text-add #sidebar a {
                    color: {$options['top_txtcolor']};
        }";
    wp_add_inline_style( 'custom-style', $custom_css );
    }
    add_action( 'wp_enqueue_scripts', 'griddy_styles_method' );
?>
