<?php
/*
 * page.php
 * The template for all pages but single and home
 * @theme griddy
 */ 
get_header(); ?>
<div class="site">
    <div class="row fixed-height">
        <section id="masthead" role="banner">
            <div class="column grid_6 top-promo">
<!-- left side top half =add text option -->
                <div class="text-add">
                    <?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
                    <div id="sidebar">
                        <?php dynamic_sidebar( 'sidebar-1' ); ?>
                    </div>
                        <?php else : ?>
                        <h1 class="site-title"><a href="<?php echo esc_url( home_url() ); ?>/"><?php bloginfo('name'); ?></a></h1>
                        <h2 class="site-description"><?php bloginfo('description'); ?></h2>
                    <?php endif; ?>
                </div>
<!-- ends options add text -->
            </div>
<!-- ends left side top half -->
                <div class="column grid_6">
<!-- right side top half -->
                    <div class="top-description">
                        <h2><?php bloginfo('description'); ?></h2>
                    </div>
                        <div class="logo"><img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="<?php bloginfo('name'); ?>" />
                        </div>
                </div>
<!-- ends right side top half -->
            </section>
<!-- ends header masthead -->            
    </div>
<!-- ends row .fixed height -->
            <div class="row bgmid">
                <div class="column grid_6" role="main">
                    <div role="complementary">
                    <?php if ( is_active_sidebar( 'sidebar-2' ) ) : ?>
                        <div id="sidebar"><?php dynamic_sidebar( 'sidebar-2' ); ?>
                        </div>
                    <?php endif; ?>
                    </div>
                </div><!-- .col6 sidebar(left) -->
                    <div class="column grid_6" role="main">
                        <div role="complementary">
                        <?php if ( is_active_sidebar( 'sidebar-3' ) ) : ?>
                            <div id="sidebar"><?php dynamic_sidebar( 'sidebar-3' ); ?>
                            </div>
                        <?php endif; ?>
                        </div>
                    </div>
<!-- .col6 sidebar(right) -->
            </div><!-- ends row -->
                <div class="row">
                    <div class="column grid_8" role="main">
                        <section id="content">
                            <?php get_template_part( 'content' ); ?> 
                        </section>
                    </div>
                        <div class="column grid_4">
                            <div role="complementary">
                            <?php if ( is_active_sidebar( 'sidebar-4' ) ) : ?>
                                <div id="sidebar">
                                    <?php dynamic_sidebar( 'sidebar-4' ); ?>
                                </div>
                            <?php endif; ?>
                            </div>
                        </div>
<!-- ends column grid4 -->
            </div>
<!-- ends row -->
</div>
<!-- ends div site -->
<?php get_footer(); ?>